---
# from https://www.wirewd.com/hacks/blog/monitoring_a_mixed_fleet_of_flash_hdd_and_nvme_devices_with_node_exporter_and_prometheus
groups:
- name: smartmon
  rules:

  # C R I T I C A L ##################################################

  - alert: SmartDeviceUnhealthy
    annotations:
      message: SMART Device reading unhealthy
    expr: smartmon_device_smart_enabled == 1 and smartmon_device_smart_healthy == 0
    for: 15m
    labels:
      severity: critical
  - alert: SmartKeyMetricsUnhealthy
    annotations:
      message: SMART device has reallocated sectors
      runbook_url: https://www.backblaze.com/blog/what-smart-stats-indicate-hard-drive-failures/
    expr: smartmon_attr_raw_value{name=~"reported_uncorrect|reallocated_sector_ct|command_timeout|current_pending_sector|offline_uncorrectable"} > 0
    for: 15m
    labels:
      severity: critical
  - alert: SmartMediaWearoutIndicator
    annotations:
      message: SMART device is wearing out
    expr: smartmon_attr_value{name="media_wearout_indicator"} < 10
    for: 15m
    labels:
      severity: critical
